@import "variables";

// Bootstrap
@import "../node_modules/bootstrap/scss/bootstrap.scss";

//
@import "fonts";
@import "font-awesome";
@import "servicos";
@import "skills";
@import "somos";
@import "contato";
@import "home";
@import "nato";
@import "gtplan";
@import "animalife";
@import "augen";
@import "blinkbr";
@import "blog";
@import "clientes";
@import "mendoza";
@import "gatopoles";
@import "buffet";
@import "adecco";
@import "buttonline";
@import "feirissima";


* {
	-webkit-font-smoothing: antialiased;
	-webkit-transition-duration: .3s;
	-o-transition-duration: .3s;
	transition-duration: .3s;
	transition-property: background, opacity;
}

a:focus, a:hover {
	text-decoration: none;
}

html,
body {
	height: 100%;
	font-family: Montserrat, sans-serif;
}

body {
	display: flex;
	width: 100%;
	overflow-x: hidden;
	flex-direction: column;

	@media (min-width: (map-get($grid-breakpoints, lg) + 1)) {
		flex-direction: row;
	}
}


.skew {
	@media (min-width: (map-get($grid-breakpoints, md) + 1)) {
		transform: skewX(-4deg);
		transform-origin: left top;

		&-null {
			transform: skewX(4deg);
		}
	}
}


.icon-4p {
	text-align: center;
	display: inline-block;
	line-height: .7;

	&:before {
		width: 1em;
		height: 1em;
		display: inline-block;
	}

	&-bdr {
		border-radius: 4px;
		padding: 5px 3px;
		display: inline-block;
		line-height: 0;

		border: 1px solid transparent;

		-moz-border-image: -moz-linear-gradient(top left, #7c4d8e 0%, #009966 33%, #bf0410 66%, #d68400 100%);
		-webkit-border-image: -webkit-linear-gradient(top left, #7c4d8e 0%, #009966 33%, #bf0410 66%, #d68400 100%);
		border-image: linear-gradient(to bottom right, #7c4d8e 0%, #009966 33%, #bf0410 66%, #d68400 100%);

		border-image-slice: 1;
	}
}


.nav {

	&-global {
		width: 24%;
		position: relative;
		z-index: 2;
		background-clip: border-box;
		overflow: hidden;
		text-align: center;
		padding-right: 4%;
		display: flex;
		height: 100%;

		&-bdr {
			position: absolute;
			top: 0;
			bottom: 0;
			right: 0;
			left: 0;
			height: 100%;
			width: 100%;
			-webkit-backface-visibility: hidden;
			z-index: -1;
			background-image: url("../img/bg-menu.png");
			@extend .skew;
		}

		&-content {
			display: flex;
			flex-direction: column;
			justify-content: center;
			margin-left: auto;
			margin-right: auto;
		}

		.logo {
			display: block;
			margin-bottom: 2em;
		}
	}

	&-local {
		position: relative;
		z-index: 99;

		@extend .skew;

		.no-local-nav & {
			overflow: hidden;
			width: 0%;
			height: 0%;
		}

		.nav {
			display: flex;
			align-items: stretch;
			overflow: auto;
			height: 100px;

			li {
				flex: 1;
				position: relative;
				overflow: hidden;
				display: flex;
				align-items: stretch;
				min-width: 45%;

				a {
					display: flex;
					align-items: stretch;
					color: rgba(255, 255, 255, .6);
					width: 100%;

					img {
						width: 100%;
						height: auto;
						-webkit-backface-visibility: hidden;
					}

					h4 {
						font-weight: 400;
						font-size: 1em;
					}

					.card {
						width: 100%;

						&-img-overlay {
							top: -10px;
							right: -10px;
							bottom: -10px;
							left: -10px;
							background-position: center;
							background-size: cover;
						}
					}
				}

				&:hover,
				&.active {
					color: #fff;

					.card-img-overlay {
						-webkit-filter: grayscale(.3) blur(0);
						filter: grayscale(.3) blur(0);
						transform: scale(1.2);
					}
				}
			}
		}

		.card {
			@extend .skew-null;

			&-img-overlay {
				transition: all .5s;
				-webkit-filter: grayscale(1) blur(2px);
				filter: grayscale(1) blur(2px);
			}
		}

		@media (min-width: (map-get($grid-breakpoints, lg) + 1)) {
			width: 20%;

			.nav {
				height: 100%;
				flex-direction: column;
				overflow: none;

				li {
					min-height: 16%;
					min-width: 0;

					a {
						h4 {
							font-size: 1.5em;
						}
					}

					img {
						width: 100%;
						height: auto !important;
						-webkit-backface-visibility: hidden;
					}
				}
			}
		}
	}
}

.nav-default {
	&.nav {
		margin-bottom: 0;
		margin-top: auto;
	}

	li {
		margin-bottom: 4%;

		&.active a {
			font-weight: 400;
		}

		> a {
			font-size: $font-size-lg;
			text-transform: uppercase;
			font-weight: 200;
			transition: all .2s;
			color: $link-color;

			&:hover,
			&:focus {
				text-decoration: none;
			}

			&:hover {
				opacity: .5;
			}
		}
	}
}

address {
	margin: auto auto 1em;

	p {
		margin: 0;
	}

	a {
		font-size: 1em;
		text-transform: none;
		font-weight: 300;
	}

	.icon-4p-bdr {
		margin-bottom: 5px;
	}
}

.newsletter-form {
	width: 70%;
	margin: 2em auto 0;

	input {
		background-color: transparent;
		font-weight: 300;

		&:focus {
			background-color: hsla(0, 0, 100, .5);
		}
	}
}

#content {
	height: 100%;
	background-color: #fff;
	text-align: left;
	overflow: auto;

	[class*="wraper"] {
		@media (min-width: (map-get($grid-breakpoints, md) + 1)) {
			padding-left: 10%;
		}
	}

	@media (min-width: (map-get($grid-breakpoints, lg) + 1)) {
		width: 60%;
		margin-right: -4%;
		margin-left: -4%;

		.no-local-nav & {
			width: 80%;
		}
	}

	// @extend .skew;
}

section {
	height: 100%;
}

.row {
	height: 100%;
}

.complete-height {
	@media (min-width: (map-get($grid-breakpoints, md) + 1)) {
		height: 100%;
	}
}

.padding-reset {
	padding: 0 !important;
}


.navbar-toggler {
	margin-top: .75em;
}

.menu-mobile {
	width: 100%;
	display: block;
	background-image: url("../img/bg-menu.png");
	text-align: center;

	.logo img {
		height: 60px;
	}

	.collapse,
	.collapsing {
		width: 100%;
		clear: both;
		padding-top: 1em;
	}

	form {
		width: 80%;
		margin: 1.5em auto;
	}

	address {
		margin-bottom: 0;

		p {
			line-height: 1;
			margin-bottom: .5em;
		}
	}
}


.bg-faded {
    background-color: transparent;
}

.navbar-nav .nav-item + .nav-item {
    margin-left: 1rem;
    text-align: center;
}


.file {
	width: 100%;
}

.file-custom::after {
	content: "Arquivos que podem ser importantes";
}

.file-custom::before {
	content: "Selecionar";
	color: #373a3c;
    background-color: #ccc;
    border-color: #8e8e8e;
    font-weight: 300;
}

.suporte .alert {
	padding: 1.5rem;

	> .fa {
		margin-top: 20px;
	}

	.btn {
		margin-top: 30px;
		margin-left: 30px;
	}

	p {
		margin-bottom: 0;
	}

}

.suport-infos i {
	margin-right: 5px;
	font-weight: bold;
}

.suporte {
	overflow: hidden;
}


[class*="view-portfolio"] {
	.nav-local .card-img {
		-webkit-filter: grayscale(1);
		filter: grayscale(1);
	}
}

@media screen and (max-width: 360px) {
	.suporte .alert .btn {
	    margin-top: 10px;
	    margin-left: 20px;
	    /* margin: 0 auto; */
	    margin-bottom: 30px;
	    float: none;
	}

}

@media screen and (max-width: 480px) {
	.suporte .alert > .fa {
	    margin-top: 0px;
	}
}

.tooltip-inner {
	font-size: 18px;
	font-family: Montserrat, sans-serif;
	width: 120%;
	background: #0275d8;
}

.tooltip-arrow {
	color: #0275d8;
	border-top: 5px solid #0275d8 !important;
}

@media screen and (max-width: 801px) {
	.menu-global {
		display: none;
	}
}

@media screen and (min-width: 801px) {
	.menu-mobile {
		display: none;
	}
}

@media (min-width: 800px) and (max-width: 1024px) {
	.block-tablet {
		display: block;
	}

	.block-tablet input {
	    border-bottom-right-radius: 0.25em !important;
		border-top-right-radius: 0.25em !important;
	}

	.block-tablet button {
		display: block;
		width: 100%;
    	margin-top: 7px;
    	 border-bottom-left-radius: 0.25em !important;
		border-top-left-radius: 0.25em !important;
	}
}
